thr_entry Class Reference

This represents an entry to the list of active method threads. More...

Inheritance diagram for thr_entry:

## Public Member Functions

void | Set (void(*m)(thr_params *), thr_params *p, thrid_t id=GetThreadId())
bool | Is (thrid_t id=GetThreadId()) const
| Check if this class represents the current thread.
flext_base * | This () const
thrid_t | Id () const

## Public Attributes

flext_base * | th
void(* | meth )(thr_params *)
thr_params * | params
thrid_t | thrid
bool | shouldexit

## Detailed Description

This represents an entry to the list of active method threads.

## Member Function Documentation

## Id()

thrid_t thr_entry::Id | ( |  | ) | const

inline

## Is()

bool thr_entry::Is | ( | thrid_t | id = GetThreadId() | ) | const

inline

Check if this class represents the current thread.

## Set()

void thr_entry::Set | ( | void(* | m )(thr_params *),
|  | thr_params * | p,
|  | thrid_t | id = GetThreadId() )

inline

## This()

flext_base * thr_entry::This | ( |  | ) | const

inline

## Member Data Documentation

## meth

void(* thr_entry::meth) (thr_params *)

## params

thr_params* thr_entry::params

## shouldexit

bool thr_entry::shouldexit

## th

flext_base* thr_entry::th

## thrid

thrid_t thr_entry::thrid

The documentation for this class was generated from the following file:

- flthr.cpp